org.apache.cassandra.tools.nodetool.stats

## Class TableStatsHolder

- java.lang.Object
- - org.apache.cassandra.tools.nodetool.stats.TableStatsHolder

- All Implemented Interfaces:
    StatsHolder

      public class TableStatsHolder
      extends java.lang.Object
      implements StatsHolder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<StatsKeyspace>` | `keyspaces`
    `int` | `numberOfTables`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableStatsHolder(NodeProbe probe, boolean humanReadable, boolean ignore, java.util.List<java.lang.String> tableNames)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `convert2Map()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### keyspaces

          public final java.util.List<StatsKeyspace> keyspaces

    - #### numberOfTables

          public final int numberOfTables

  - ### Constructor Detail

    - #### TableStatsHolder

          public TableStatsHolder(NodeProbe probe,
                                  boolean humanReadable,
                                  boolean ignore,
                                  java.util.List<java.lang.String> tableNames)

  - ### Method Detail

    - #### convert2Map

          public java.util.Map<java.lang.String,java.lang.Object> convert2Map()

      Specified by:
        `convert2Map` in interface `StatsHolder`

Copyright © 2018 The Apache Software Foundation